Page MenuHomePhabricator

Add fundraising appeal on Wikipedia portal page
Closed, ResolvedPublic

Description

I think this came up during a session in San Francisco when @spatton and @Nirzar were talking about Fundraising and Design collaborating on certain projects.

I had a discussion with @Nirzar yesterday and we identified two areas to add a fundraising appeal on Portal (https://wikipedia.org):

  1. Banners on Portal during a campaign, such as “Big English” in December, e.g. positioned below the search field but still above the fold.
  2. Permanent link in the area on the bottom left of the page, like in the image below. This is not a final suggestion, it should just convey the idea. Language and design has to be explored first. @Nirzar suggested to define a revenue goal for this link since it might have low exposure.

I will come up with some explorations in the upcoming days and ping one or the other person on the subscribers list to receive feedback.

Thanks,
Robin

PS @Pcoombe: I’m not quite sure if ”Fundraising-Backlog” is the right Tag for this project. Feel free to adapt if not correct. On another note: I don’t quite get the difference of the Fundraising tags here, would be great to get some Phabricator coaching from you once.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2018, 9:33 AM
schoenbaechler added a comment.EditedAug 24 2018, 4:47 PM

Explored various positions for a possible banner campaign on the portal page this afternoon. To be clear, banners wouldn’t be a permanent element on portal, they would appear during a fundraising campaign.

I had the good old page fold in mind for the designs. The solutions work on screens with minimal viewport height, in this case 640px. The side nag (fixed element on the left) exploration stands out to me since it doesn’t interfere with the page’s main actions (search/language switch). Might get less clicks though since its quite far away from the main stage (search, language selection).

To my surprise, the portal page is responsive. The designs below are fairly easy to adapt on Mobile, so I didn’t create Mobile visuals yet. Lets start the discussion, here are the screens 👇:

https://wikimedia.invisionapp.com/share/AGNPKYPS5BQ#/316313892_Banner-Bottom-Blue
(use left and right arrows to navigate through the screens)

Concerning the permanent fundraising section on the page, I’m convinced that the suggested position in the first visual is the way to go. We might have to create custom copy for it, since we don’t have a lot of similar cases where the WMF brand and a fundraising appeal are tied so closely together. I actually see this as small step towards bringing brand communications and fundraising closer together. Let me know what you think, feedback is very much appreciated.

Technical question @Pcoombe, am I right that we can’t inject banners to the portal page? From my previous understanding, it’s running independently. Thanks for clarifying.

phuedx added a subscriber: phuedx.Aug 29 2018, 10:22 AM
spatton added a subscriber: Jdrewniak.EditedSep 14 2018, 5:48 PM

Hi @schoenbaechler, I spoke to @phuedx today. A few notes:

  • Right, we can't inject banners to portal via centralnotice; it's not running mediawiki. There isn't an existing a/b testing framework, but @Jdrewniak has set up workarounds in the past, so testing variants might be an option.
  • Right, it's responsive! Phuedx will send over the typical breakpoints for MinervaNeue
  • Phuedx reviewed your design concepts and said they all seem reasonable and possible. It'd be helpful if (when we're ready) you can implement and Jdrewniak can code review.

Time management / other deadlines might be a factor, but even if we can't get implemented before the English campaign, we shouldn't de-prioritize this. schoenbaechler, could you please followup with Jdrewniak to determine the appropriate next steps?

schoenbaechler added a comment.EditedSep 20 2018, 12:29 PM

Thanks @spatton and @phuedx for pushing this topic. I‘m excited to collaborate with you and my fellow design friend @Jdrewniak (👋).

Next steps
I’ll spend time exploring some additional concepts/designs tomorrow or in the beginning of next week. Also, I’ll kickoff a copy brainstorming session with the online fundraising team for both banners and permanent link.

@Jdrewniak, is there something specific you’d need from us?

Some additional thoughts from my side:

  • To not create an interstellar spaceship that’ll take off in 2050, I suggest to limit the language scope to English only. Both for the permanent link and banners during the English fundraising campaign in December 2018.
  • Regarding timeline, it’d be awesome to display banners during our English campaign this December, do you think that it could be feasible @Jdrewniak if we provide all assets (concept, design, copy) by latest next week (September 28)?
  • If A/B testing for banners isn’t feasible for the English campaign this year, it’ll be fine to launch without it. As WMF’s A/B testing advocates, we are of course highly interested in analyze data.

Please feel free to add your thoughts here as well @spatton. Let me know if you have any questions (@phuedx, @Jdrewniak), happy to also discuss it on a video call.

Change 471296 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] [POC] Fundraising banner for wikipedia.org portal

https://gerrit.wikimedia.org/r/471296

mxn added a subscriber: mxn.Nov 6 2018, 8:05 AM

Change 476496 had a related patch set uploaded (by Pcoombe; owner: Pcoombe):
[wikimedia/portals@master] Fundraising banners for wikipedia.org portal

https://gerrit.wikimedia.org/r/476496

Change 476496 merged by jenkins-bot:
[wikimedia/portals@master] Fundraising banners for wikipedia.org portal

https://gerrit.wikimedia.org/r/476496

phuedx added a comment.Dec 4 2018, 5:24 PM

🎉🎉🎉

Change 477600 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Modifying donation banner position

https://gerrit.wikimedia.org/r/477600

Change 477600 merged by jenkins-bot:
[wikimedia/portals@master] Modifying donation banner position

https://gerrit.wikimedia.org/r/477600

Change 477734 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals/deploy@master] Add portal donation banners

https://gerrit.wikimedia.org/r/477734

Change 477734 merged by jenkins-bot:
[wikimedia/portals/deploy@master] Add portal donation banners

https://gerrit.wikimedia.org/r/477734

Change 477768 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/477768

Change 477768 merged by jenkins-bot:
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/477768

Mentioned in SAL (#wikimedia-operations) [2018-12-05T12:29:55Z] <jdrewniak@deploy1001> Synchronized portals/wikipedia.org/assets: Wikimedia Portals Update: [[gerrit:477768| Bumping portals to master (T202497)]] (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2018-12-05T12:30:41Z] <jdrewniak@deploy1001> Synchronized portals: Wikimedia Portals Update: [[gerrit:477768| Bumping portals to master (T202497)]] (duration: 00m 46s)

Change 471296 abandoned by Jdrewniak:
[POC] Fundraising banner for wikipedia.org portal

Reason:
POC no longer necessary

https://gerrit.wikimedia.org/r/471296

Change 480758 had a related patch set uploaded (by Pcoombe; owner: Pcoombe):
[wikimedia/portals@master] More fundraising banner tests for wikipedia.org portal

https://gerrit.wikimedia.org/r/480758

Change 480758 merged by jenkins-bot:
[wikimedia/portals@master] More fundraising banner tests for wikipedia.org portal

https://gerrit.wikimedia.org/r/480758

Change 480935 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals/deploy@master] Production build of patch:480758 - Updating wikipedia.org banners.

https://gerrit.wikimedia.org/r/480935

Change 480935 merged by jenkins-bot:
[wikimedia/portals/deploy@master] Production build of patch:480758 - Updating wikipedia.org banners.

https://gerrit.wikimedia.org/r/480935

Change 480938 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/480938

Change 480938 merged by jenkins-bot:
[operations/mediawiki-config@master] Bumping portals to master

https://gerrit.wikimedia.org/r/480938

Mentioned in SAL (#wikimedia-operations) [2018-12-20T12:08:14Z] <jdrewniak@deploy1001> Synchronized portals/wikipedia.org/assets: Wikimedia Portals Update: [[gerrit:478659| Bumping portals to master (T128546, T202497)]] (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-12-20T12:09:07Z] <jdrewniak@deploy1001> Synchronized portals: Wikimedia Portals Update: [[gerrit:478659| Bumping portals to master (T128546, T202497)]] (duration: 00m 52s)

Change 482832 had a related patch set uploaded (by Pcoombe; owner: Pcoombe):
[wikimedia/portals@master] Remove fundraising banners from portal

https://gerrit.wikimedia.org/r/482832

schoenbaechler closed this task as Resolved.Jan 14 2019, 11:16 AM

Change 482832 merged by jenkins-bot:
[wikimedia/portals@master] Remove fundraising banners from portal

https://gerrit.wikimedia.org/r/482832

Mentioned in SAL (#wikimedia-operations) [2019-02-25T10:39:14Z] <jdrewniak@deploy1001> Synchronized portals/wikipedia.org/assets: Wikimedia Portals Update: [[gerrit:492636| Bumping portals to master (T128546, T202497)]] (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2019-02-25T10:40:01Z] <jdrewniak@deploy1001> Synchronized portals: Wikimedia Portals Update: [[gerrit:492636| Bumping portals to master (T128546, T202497)]] (duration: 00m 46s)